Debian Bug report logs - #631807
segfault in libcap-ng0 is back on armel - filecap , bluetoothd etc

version graph

Package: libcap-ng0; Maintainer for libcap-ng0 is Pierre Chifflier <pollux@debian.org>; Source for libcap-ng0 is src:libcap-ng.

Reported by: Alban Browaeys <prahal@yahoo.com>

Date: Mon, 27 Jun 2011 11:45:01 UTC

Severity: serious

Merged with 635664

Found in version libcap-ng/0.6.6-1

Fixed in version libcap-ng/0.6.6-2

Done: Pierre Chifflier <pollux@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#631807; Package libcap-ng0. (Mon, 27 Jun 2011 11:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alban Browaeys <prahal@yahoo.com>:
New Bug report received and forwarded. Copy sent to Pierre Chifflier <pollux@debian.org>. (Mon, 27 Jun 2011 11:45:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alban Browaeys <prahal@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: segfault in libcap-ng0 is back on armel - filecap , bluetoothd etc
Date: Mon, 27 Jun 2011 13:44:01 +0200
Package: libcap-ng0
Version: 0.6.6-1
Severity: important

The issue about memset is back . I used gcc-4.6.real (Debian 4.6.0-14) 4.6.1 20110616 (prerelease).
I rebuild the package locally first with dpkg-buildpackage -rfakeroot -b -uc -us then make; make install
to get the debugging symbols (using the previous debian generated makefiles).

filecap backtrace:
eading symbols from /usr/bin/filecap...done.
(gdb) r
Starting program: /usr/bin/filecap 

Program received signal SIGSEGV, Segmentation fault.
0x40039f78 in init () at cap-ng.c:152
152		memset(&m.hdr, 0, sizeof(m.hdr));
(gdb) bt full
#0  0x40039f78 in init () at cap-ng.c:152
No locals.
#1  0x4003a18c in capng_clear (set=CAPNG_SELECT_BOTH) at cap-ng.c:176
No locals.
#2  0x40000ba8 in check_file (fpath=0x40171050 "/usr/sbin/NetworkManager", sb=0xbeffe4d0, typeflag_unused=0, s_unused=0xbefff62c) at filecap.c:56
        rc = 36553
        fd = 6
#3  0x400faed8 in process_entry (data=0xbefff618, dir=0xbeffe57c, name=0x401720b3 "NetworkManager", namlen=<value optimized out>, d_type=8)
    at ftw.c:470
        st = {st_dev = 45857, __pad1 = 0, st_ino = 36553, st_mode = 33261, st_nlink = 1, st_uid = 0, st_gid = 0, st_rdev = 0, __pad2 = 0, 
          st_size = 718376, st_blksize = 4096, st_blocks = 1408, st_atim = {tv_sec = 1309057780, tv_nsec = 380737313}, st_mtim = {
            tv_sec = 1306726376, tv_nsec = 0}, st_ctim = {tv_sec = 1309055517, tv_nsec = 529174812}, __unused4 = 0, __unused5 = 0}
        result = <value optimized out>
        flag = <value optimized out>
        new_buflen = <value optimized out>
        statres = <value optimized out>
#4  0x400fb1ec in ftw_dir (data=0xbefff618, st=<value optimized out>, old_dir=<value optimized out>) at ftw.c:546
        dir = {stream = 0x40172058, streamfd = 5, content = 0x0}
        d = 0x401720a0
        previous_base = 5
        result = 0
        startp = <value optimized out>
        __PRETTY_FUNCTION__ = "ftw_dir"
#5  0x400fb950 in ftw_startup (dir=<value optimized out>, is_nftw=<value optimized out>, func=<value optimized out>, 
    descriptors=<value optimized out>, flags=1) at ftw.c:772
        name = 0x40171050 "/usr/sbin/NetworkManager"
        data = {dirstreams = 0xbeffe5b0, actdir = 1, maxdir = 1024, dirbuf = 0x40171050 "/usr/sbin/NetworkManager", dirbufsize = 4096, ftw = {
            base = 10, level = 1}, flags = 1, cvt_arr = 0x4015340c, func = 0x40000b4c <check_file>, dev = 45857, known_objects = 0x0}
        st = {st_dev = 45857, __pad1 = 0, st_ino = 175, st_mode = 16877, st_nlink = 2, st_uid = 0, st_gid = 0, st_rdev = 0, __pad2 = 0, 
          st_size = 12288, st_blksize = 4096, st_blocks = 24, st_atim = {tv_sec = 1309059829, tv_nsec = 693237324}, st_mtim = {
            tv_sec = 1309057020, tv_nsec = 388549812}, st_ctim = {tv_sec = 1309057020, tv_nsec = 388549812}, __unused4 = 0, __unused5 = 0}
        result = 1075253328
        cwdfd = <value optimized out>
        cwd = 0x0
        cp = <value optimized out>
---Type <return> to continue, or q <return> to quit---
#6  0x400fbaa8 in __new_nftw (path=0x400238c8 "\001", func=<value optimized out>, descriptors=0, flags=1073889224) at ftw.c:856
No locals.
#7  0x4000106c in main (argc=1, argv=0xbefff864) at filecap.c:154
        path_env = 0xbeffff2a "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
        path = 0x40171008 "/usr/local/sbin"
        dir = 0x40171027 "/usr/sbin"
        sbuf = {st_dev = 0, __pad1 = 36800, st_ino = 1073909688, st_mode = 0, st_nlink = 1073909712, st_uid = 0, st_gid = 0, st_rdev = 0, 
          __pad2 = 0, st_size = 0, st_blksize = 0, st_blocks = 0, st_atim = {tv_sec = 0, tv_nsec = 1073909704}, st_mtim = {tv_sec = 0, 
            tv_nsec = 0}, st_ctim = {tv_sec = 0, tv_nsec = 0}, __unused4 = 0, __unused5 = 0}
        nftw_flags = 1
        i = 1073746516


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: armel (armv7l)

Kernel: Linux 3.0.0-rc4-a101-initramfs-11146-ga699455-dirty (PREEMPT)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libcap-ng0 depends on:
ii  libc6                         2.13-7     Embedded GNU C Library: Shared lib

libcap-ng0 recommends no packages.

libcap-ng0 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#631807; Package libcap-ng0. (Mon, 27 Jun 2011 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <pollux@debian.org>:
Extra info received and forwarded to list. (Mon, 27 Jun 2011 12:21:30 GMT) Full text and rfc822 format available.

Message #10 received at 631807@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <pollux@debian.org>
To: Alban Browaeys <prahal@yahoo.com>, 631807@bugs.debian.org
Subject: Re: Bug#631807: segfault in libcap-ng0 is back on armel - filecap , bluetoothd etc
Date: Mon, 27 Jun 2011 14:08:02 +0200
On Mon, Jun 27, 2011 at 01:44:01PM +0200, Alban Browaeys wrote:
> 
> Package: libcap-ng0
> Version: 0.6.6-1
> Severity: important
> 
> The issue about memset is back . I used gcc-4.6.real (Debian 4.6.0-14) 4.6.1 20110616 (prerelease).
> I rebuild the package locally first with dpkg-buildpackage -rfakeroot -b -uc -us then make; make install
> to get the debugging symbols (using the previous debian generated makefiles).

Hi,

One important change I made to the 0.6.6 packages is that I enabled the
hardening wrapper, which adds some flags to the compiler.

Could you test if the problem is related to the optimization (as in
#546823),
or if commenting the line
export DEB_BUILD_HARDENING=1
on top of debian/rules solves the problem ?

Thanks,
Pierre

> 
> filecap backtrace:
> eading symbols from /usr/bin/filecap...done.
> (gdb) r
> Starting program: /usr/bin/filecap 
> 
> Program received signal SIGSEGV, Segmentation fault.
> 0x40039f78 in init () at cap-ng.c:152
> 152		memset(&m.hdr, 0, sizeof(m.hdr));
> (gdb) bt full
> #0  0x40039f78 in init () at cap-ng.c:152
> No locals.
> #1  0x4003a18c in capng_clear (set=CAPNG_SELECT_BOTH) at cap-ng.c:176
> No locals.
> #2  0x40000ba8 in check_file (fpath=0x40171050 "/usr/sbin/NetworkManager", sb=0xbeffe4d0, typeflag_unused=0, s_unused=0xbefff62c) at filecap.c:56
>         rc = 36553
>         fd = 6
> #3  0x400faed8 in process_entry (data=0xbefff618, dir=0xbeffe57c, name=0x401720b3 "NetworkManager", namlen=<value optimized out>, d_type=8)
>     at ftw.c:470
>         st = {st_dev = 45857, __pad1 = 0, st_ino = 36553, st_mode = 33261, st_nlink = 1, st_uid = 0, st_gid = 0, st_rdev = 0, __pad2 = 0, 
>           st_size = 718376, st_blksize = 4096, st_blocks = 1408, st_atim = {tv_sec = 1309057780, tv_nsec = 380737313}, st_mtim = {
>             tv_sec = 1306726376, tv_nsec = 0}, st_ctim = {tv_sec = 1309055517, tv_nsec = 529174812}, __unused4 = 0, __unused5 = 0}
>         result = <value optimized out>
>         flag = <value optimized out>
>         new_buflen = <value optimized out>
>         statres = <value optimized out>
> #4  0x400fb1ec in ftw_dir (data=0xbefff618, st=<value optimized out>, old_dir=<value optimized out>) at ftw.c:546
>         dir = {stream = 0x40172058, streamfd = 5, content = 0x0}
>         d = 0x401720a0
>         previous_base = 5
>         result = 0
>         startp = <value optimized out>
>         __PRETTY_FUNCTION__ = "ftw_dir"
> #5  0x400fb950 in ftw_startup (dir=<value optimized out>, is_nftw=<value optimized out>, func=<value optimized out>, 
>     descriptors=<value optimized out>, flags=1) at ftw.c:772
>         name = 0x40171050 "/usr/sbin/NetworkManager"
>         data = {dirstreams = 0xbeffe5b0, actdir = 1, maxdir = 1024, dirbuf = 0x40171050 "/usr/sbin/NetworkManager", dirbufsize = 4096, ftw = {
>             base = 10, level = 1}, flags = 1, cvt_arr = 0x4015340c, func = 0x40000b4c <check_file>, dev = 45857, known_objects = 0x0}
>         st = {st_dev = 45857, __pad1 = 0, st_ino = 175, st_mode = 16877, st_nlink = 2, st_uid = 0, st_gid = 0, st_rdev = 0, __pad2 = 0, 
>           st_size = 12288, st_blksize = 4096, st_blocks = 24, st_atim = {tv_sec = 1309059829, tv_nsec = 693237324}, st_mtim = {
>             tv_sec = 1309057020, tv_nsec = 388549812}, st_ctim = {tv_sec = 1309057020, tv_nsec = 388549812}, __unused4 = 0, __unused5 = 0}
>         result = 1075253328
>         cwdfd = <value optimized out>
>         cwd = 0x0
>         cp = <value optimized out>
> ---Type <return> to continue, or q <return> to quit---
> #6  0x400fbaa8 in __new_nftw (path=0x400238c8 "\001", func=<value optimized out>, descriptors=0, flags=1073889224) at ftw.c:856
> No locals.
> #7  0x4000106c in main (argc=1, argv=0xbefff864) at filecap.c:154
>         path_env = 0xbeffff2a "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
>         path = 0x40171008 "/usr/local/sbin"
>         dir = 0x40171027 "/usr/sbin"
>         sbuf = {st_dev = 0, __pad1 = 36800, st_ino = 1073909688, st_mode = 0, st_nlink = 1073909712, st_uid = 0, st_gid = 0, st_rdev = 0, 
>           __pad2 = 0, st_size = 0, st_blksize = 0, st_blocks = 0, st_atim = {tv_sec = 0, tv_nsec = 1073909704}, st_mtim = {tv_sec = 0, 
>             tv_nsec = 0}, st_ctim = {tv_sec = 0, tv_nsec = 0}, __unused4 = 0, __unused5 = 0}
>         nftw_flags = 1
>         i = 1073746516
> 
> 
> -- System Information:
> Debian Release: wheezy/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
> Architecture: armel (armv7l)
> 
> Kernel: Linux 3.0.0-rc4-a101-initramfs-11146-ga699455-dirty (PREEMPT)
> Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages libcap-ng0 depends on:
> ii  libc6                         2.13-7     Embedded GNU C Library: Shared lib
> 
> libcap-ng0 recommends no packages.
> 
> libcap-ng0 suggests no packages.
> 
> -- no debconf information
> 
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#631807; Package libcap-ng0. (Mon, 27 Jun 2011 13:48:51 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Alban Browaeys" <prahal@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. (Mon, 27 Jun 2011 13:48:53 GMT) Full text and rfc822 format available.

Message #15 received at 631807@bugs.debian.org (full text, mbox):

From: "Alban Browaeys" <prahal@yahoo.com>
To: pollux@debian.org
Cc: 631807@bugs.debian.org
Subject: Re: Bug#631807: segfault in libcap-ng0 is back on armel - filecap , bluetoothd etc
Date: Mon, 27 Jun 2011 15:00:37 +0200
> Hi,
>
> One important change I made to the 0.6.6 packages is that I enabled the
> hardening wrapper, which adds some flags to the compiler.
>
> Could you test if the problem is related to the optimization (as in
> #546823),
> or if commenting the line
> export DEB_BUILD_HARDENING=1
> on top of debian/rules solves the problem ?
>
> Thanks,
> Pierre
>
>
My findings:
Removing hardening or playing with cflags do not remove segfault.
The way I managed to fix it is by removing the custom ldflags in 
debian/rules (it works
even after I removed the ifeq that disables optimization on armel).

BR,
Alban 




Merged 631807 635664. Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Thu, 04 Aug 2011 03:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#631807; Package libcap-ng0. (Thu, 04 Aug 2011 19:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <pollux@debian.org>:
Extra info received and forwarded to list. (Thu, 04 Aug 2011 19:03:10 GMT) Full text and rfc822 format available.

Message #22 received at 631807@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <pollux@debian.org>
To: Alban Browaeys <prahal@yahoo.com>, 631807@bugs.debian.org
Subject: Re: Bug#631807: segfault in libcap-ng0 is back on armel - filecap , bluetoothd etc
Date: Thu, 4 Aug 2011 21:00:18 +0200
On Mon, Jun 27, 2011 at 03:00:37PM +0200, Alban Browaeys wrote:
> >Hi,
> >
> >One important change I made to the 0.6.6 packages is that I enabled the
> >hardening wrapper, which adds some flags to the compiler.
> >
> >Could you test if the problem is related to the optimization (as in
> >#546823),
> >or if commenting the line
> >export DEB_BUILD_HARDENING=1
> >on top of debian/rules solves the problem ?
> >
> >Thanks,
> >Pierre
> >
> >
> My findings:
> Removing hardening or playing with cflags do not remove segfault.
> The way I managed to fix it is by removing the custom ldflags in
> debian/rules (it works
> even after I removed the ifeq that disables optimization on armel).

Hi,

You mean removing the LDFLAGS="-Wl,-z,defs" part ? Or also the
PYFLAGS=... tweak for the Python modules too ?

BR,
Pierre




Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#631807; Package libcap-ng0. (Wed, 24 Aug 2011 19:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. (Wed, 24 Aug 2011 19:48:03 GMT) Full text and rfc822 format available.

Message #27 received at 631807@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 631807@bugs.debian.org
Subject: Re: segfault in libcap-ng0 is back on armel - filecap , bluetoothd etc
Date: Wed, 24 Aug 2011 22:45:17 +0300
Hi,

I can reproduce this on my freerunner.

lindi@ginger:~$ sudo /etc/init.d/bluetooth start
Starting bluetooth:Segmentation fault
lindi@ginger:~$ dpkg-query -W|grep blue
bluez   4.94-3
bluez-hcidump   2.1-1
libbluetooth3   4.94-3
lindi@ginger:~$ dpkg-query -W|grep libc6
libc6   2.13-17
libc6-dev       2.13-17

-Timo




Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#631807; Package libcap-ng0. (Fri, 04 Nov 2011 17:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alban Browaeys <prahal@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. (Fri, 04 Nov 2011 17:24:11 GMT) Full text and rfc822 format available.

Message #32 received at 631807@bugs.debian.org (full text, mbox):

From: Alban Browaeys <prahal@yahoo.com>
To: Debian Bug Tracking System <631807@bugs.debian.org>
Subject: Re: segfault in libcap-ng0 is back on armel - filecap , bluetoothd etc
Date: Fri, 04 Nov 2011 18:20:55 +0100
Package: libcap-ng0
Version: 0.6.6-1
Followup-For: Bug #631807

This time I rebuild the package libcap-ng vanilla (ie without
any tweaks) on the freerunner and it worked.

One diff with
https://buildd.debian.org/status/fetch.php?pkg=libcap-ng&arch=armel&ver=0.6.6-1&stamp=1309007854
is that I do not have those errors:
make[2]: Entering directory `/build/buildd-libcap-ng_0.6.6-1-armel-XxXlKD/libcap-ng-0.6.6/src'
/bin/bash ../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I. -I..   -fPIC -DPIC -W -Wall -Wshadow -Wformat -Wundef -D_GNU_SOURCE -g -O2 -O0 -MT cap-ng.lo -MD -MP -MF .deps/cap-ng.Tpo -c -o cap-ng.lo cap-ng.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -fPIC -DPIC -W -Wall -Wshadow -Wformat -Wundef -D_GNU_SOURCE -g -O2 -O0 -MT cap-ng.lo -MD -MP -MF .deps/cap-ng.Tpo -c cap-ng.c  -fPIC -DPIC -o .libs/cap-ng.o
cap-ng.c: In function 'get_bounding_set':
cap-ng.c:236:70: warning: signed and unsigned type in conditional expression [-Wsign-compare]
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -fPIC -DPIC -W -Wall -Wshadow -Wformat -Wundef -D_GNU_SOURCE -g -O2 -O0 -MT cap-ng.lo -MD -MP -MF .deps/cap-ng.Tpo -c cap-ng.c -o cap-ng.o >/dev/null 2>&1
mv -f .deps/cap-ng.Tpo .deps/cap-ng.Plo
/bin/bash ../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I. -I..   -fPIC -DPIC -W -Wall -Wshadow -Wformat -Wundef -D_GNU_SOURCE -g -O2 -O0 -MT lookup_table.lo -MD -MP -MF .deps/lookup_table.Tpo -c -o lookup_table.lo lookup_table.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -fPIC -DPIC -W -Wall -Wshadow -Wformat -Wundef -D_GNU_SOURCE -g -O2 -O0 -MT lookup_table.lo -MD -MP -MF .deps/lookup_table.Tpo -c lookup_table.c  -fPIC -DPIC -o .libs/lookup_table.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -fPIC -DPIC -W -Wall -Wshadow -Wformat -Wundef -D_GNU_SOURCE -g -O2 -O0 -MT lookup_table.lo -MD -MP -MF .deps/lookup_table.Tpo -c lookup_table.c -o lookup_table.o >/dev/null 2>&1
mv -f .deps/lookup_table.Tpo .deps/lookup_table.Plo
/bin/bash ../libtool --tag=CC   --mode=link gcc -fPIC -DPIC -W -Wall -Wshadow -Wformat -Wundef -D_GNU_SOURCE -g -O2 -O0 -Wl,-z,relro -Wl,-z,defs -o libcap-ng.la -rpath /usr/lib cap-ng.lo lookup_table.lo  
libtool: link: gcc -shared  .libs/cap-ng.o .libs/lookup_table.o    -Wl,-z -Wl,relro -Wl,-z -Wl,defs   -Wl,-soname -Wl,libcap-ng.so.0 -o .libs/libcap-ng.so.0.0.0
/usr/bin/ld.bfd.real: .libs/cap-ng.o(.text+0x1dc): R_ARM_REL32 used with TLS symbol m
/usr/bin/ld.bfd.real: .libs/cap-ng.o(.text+0x208): R_ARM_REL32 used with TLS symbol m
/usr/bin/ld.bfd.real: .libs/cap-ng.o(.text+0x32c): R_ARM_REL32 used with TLS symbol m
/usr/bin/ld.bfd.real: .libs/cap-ng.o(.text+0x330): R_ARM_REL32 used with TLS symbol m
libtool: link: (cd ".libs" && rm -f "libcap-ng.so.0" && ln -s "libcap-ng.so.0.0.0" "libcap-ng.so.0"

ie R_ARM_REL32 used with TLS symbol m .

Sorry for the lag
Alban

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0test0 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libcap-ng0 depends on:
ii  libc6  2.13-21

libcap-ng0 recommends no packages.

libcap-ng0 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#631807; Package libcap-ng0. (Fri, 03 Feb 2012 22:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Maass <mase@setho.org>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. (Fri, 03 Feb 2012 22:03:06 GMT) Full text and rfc822 format available.

Message #37 received at 631807@bugs.debian.org (full text, mbox):

From: Thomas Maass <mase@setho.org>
To: Debian Bug Tracking System <631807@bugs.debian.org>
Subject: Re: segfault in libcap-ng0 is back on armel - filecap , bluetoothd etc
Date: Fri, 03 Feb 2012 22:52:40 +0100
Package: libcap-ng0
Version: 0.6.6-1
Followup-For: Bug #631807

I can confirm this bug. I took the ubuntu package as workaround.
http://ports.ubuntu.com/ubuntu-ports/pool/main/libc/libcap-ng/
The bug does not exist there.



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: armel (armv7l)

Kernel: Linux 3.0.8-1-ac100 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libcap-ng0 depends on:
ii  libc6  2.13-24

libcap-ng0 recommends no packages.

libcap-ng0 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, sascha-debian-bugs-filtered@silbe.org, Pierre Chifflier <pollux@debian.org>:
Bug#631807; Package libcap-ng0. (Tue, 28 Feb 2012 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sascha Silbe <sascha-debian-bugs-631807@silbe.org>:
Extra info received and forwarded to list. Copy sent to sascha-debian-bugs-filtered@silbe.org, Pierre Chifflier <pollux@debian.org>. (Tue, 28 Feb 2012 21:57:06 GMT) Full text and rfc822 format available.

Message #42 received at 631807@bugs.debian.org (full text, mbox):

From: Sascha Silbe <sascha-debian-bugs-631807@silbe.org>
To: Debian Bug Tracking System <631807@bugs.debian.org>
Subject: Re: segfault in libcap-ng0 is back on armel - filecap , bluetoothd etc
Date: Tue, 28 Feb 2012 22:52:22 +0100
Package: libcap-ng0
Version: 0.6.6-1
Followup-For: Bug #631807

Dear Maintainer,

I'm afraid I can also confirm this bug. Took me some time to realise
that it's not gnome-keyring-daemon's fault that it crashes (with a
segfault) on every invocation, even --help.

Fortunately, as Thomas Maass helpfully pointed out, the Ubuntu version
(0.6.6-1ubuntu1) does not exhibit the same problem, so I finally have a
workaround.

Still, it's a grave bug (at least on armel) that should be fixed ASAP
as it renders packages that link against libcap-ng0 completely
inoperable. (Sorry to not dig into it myself and send a patch, but I
already have my own fair share of bugs to fix.)

FWIW, this is on an XO-1.75 laptop [1].


[1] http://wiki.laptop.org/go/XO-1.75

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: armel (armv7l)

Kernel: Linux 3.0.0-mimosa-1-00214-gd1fa5f2 (PREEMPT)
Locale: LANG=en_US, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libcap-ng0 depends on:
ii  libc6  2.13-26

libcap-ng0 recommends no packages.

libcap-ng0 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#631807; Package libcap-ng0. (Tue, 29 May 2012 05:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alban Browaeys <prahal@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. (Tue, 29 May 2012 05:33:07 GMT) Full text and rfc822 format available.

Message #47 received at 631807@bugs.debian.org (full text, mbox):

From: Alban Browaeys <prahal@yahoo.com>
To: Debian Bug Tracking System <631807@bugs.debian.org>
Subject: Re: segfault in libcap-ng0 is back on armel - filecap , bluetoothd etc
Date: Tue, 29 May 2012 07:30:26 +0200
[Message part 1 (text/plain, inline)]
Package: libcap-ng0
Version: 0.6.6-1
Followup-For: Bug #631807

memset usage to reset the structure to 0 and NULL  is indeed the
culprit.
Here is a patch that fix the bug.
I made it after reading:
http://ex-parrot.com/~chris/random/initialise.html
as I clued that being pedantic could help and it did.
Sadly I found no pointer telling about the rationale for why only on armel
does it fail.
Thus all I can tell here is the memset hack breaks on an address-of on a no basic
type field of a __thread structure.

The patch is against src/cap-ng.c from libcap-ng 0.6.6
I tested the libcap-ng-utils on armel and also reinstalled bluez without
issues.

BR,
Alban


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.4.0test0-03166-gf6a26ae (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libcap-ng0 depends on:
ii  libc6  2.13-32

libcap-ng0 recommends no packages.

libcap-ng0 suggests no packages.

-- no debconf information
[cap-ng.c.patch (text/x-diff, attachment)]

Severity set to 'serious' from 'important' Request was from Touko Korpela <touko.korpela@iki.fi> to control@bugs.debian.org. (Fri, 01 Jun 2012 13:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#631807; Package libcap-ng0. (Fri, 01 Jun 2012 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Touko Korpela <touko.korpela@iki.fi>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. (Fri, 01 Jun 2012 14:00:03 GMT) Full text and rfc822 format available.

Message #54 received at 631807@bugs.debian.org (full text, mbox):

From: Touko Korpela <touko.korpela@iki.fi>
To: 631807@bugs.debian.org
Subject: GCC workarounds should be dropped too
Date: Fri, 1 Jun 2012 16:56:34 +0300
When fixing this bug, #563935 and #583881 (GCC workarounds for long time
fixed bugs) should be fixed too. They are about sparc and armel arcs.
Now this package is compiled unoptimized in these arcs.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#631807; Package libcap-ng0. (Sat, 16 Jun 2012 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <pollux@debian.org>:
Extra info received and forwarded to list. (Sat, 16 Jun 2012 21:06:05 GMT) Full text and rfc822 format available.

Message #59 received at 631807@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <pollux@debian.org>
To: 631807@bugs.debian.org
Cc: Alban Browaeys <prahal@yahoo.com>
Subject: Re: segfault in libcap-ng0 is back on armel - filecap , bluetoothd etc
Date: Sat, 16 Jun 2012 23:03:44 +0200
Hi,

I have merged the patch from Alban Browaeys (thanks to him for writing
it) in version 0.6.6-2, just uploaded a few moments ago.

Thanks,
Pierre




Reply sent to Pierre Chifflier <pollux@debian.org>:
You have taken responsibility. (Sat, 16 Jun 2012 21:24:19 GMT) Full text and rfc822 format available.

Notification sent to Alban Browaeys <prahal@yahoo.com>:
Bug acknowledged by developer. (Sat, 16 Jun 2012 21:24:20 GMT) Full text and rfc822 format available.

Message #64 received at 631807-close@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <pollux@debian.org>
To: 631807-close@bugs.debian.org
Subject: Bug#631807: fixed in libcap-ng 0.6.6-2
Date: Sat, 16 Jun 2012 21:08:21 +0000
Source: libcap-ng
Source-Version: 0.6.6-2

We believe that the bug you reported is fixed in the latest version of
libcap-ng, which is due to be installed in the Debian FTP archive:

libcap-ng-dev_0.6.6-2_amd64.deb
  to main/libc/libcap-ng/libcap-ng-dev_0.6.6-2_amd64.deb
libcap-ng-utils_0.6.6-2_amd64.deb
  to main/libc/libcap-ng/libcap-ng-utils_0.6.6-2_amd64.deb
libcap-ng0_0.6.6-2_amd64.deb
  to main/libc/libcap-ng/libcap-ng0_0.6.6-2_amd64.deb
libcap-ng_0.6.6-2.debian.tar.gz
  to main/libc/libcap-ng/libcap-ng_0.6.6-2.debian.tar.gz
libcap-ng_0.6.6-2.dsc
  to main/libc/libcap-ng/libcap-ng_0.6.6-2.dsc
python-cap-ng_0.6.6-2_amd64.deb
  to main/libc/libcap-ng/python-cap-ng_0.6.6-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 631807@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pierre Chifflier <pollux@debian.org> (supplier of updated libcap-ng package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 16 Jun 2012 22:38:20 +0200
Source: libcap-ng
Binary: libcap-ng-dev libcap-ng0 libcap-ng-utils python-cap-ng
Architecture: source amd64
Version: 0.6.6-2
Distribution: unstable
Urgency: high
Maintainer: Pierre Chifflier <pollux@debian.org>
Changed-By: Pierre Chifflier <pollux@debian.org>
Description: 
 libcap-ng-dev - Development and header files for libcap-ng
 libcap-ng-utils - Utilities for analysing and setting file capabilities
 libcap-ng0 - An alternate POSIX capabilities library
 python-cap-ng - Python bindings for libcap-ng
Closes: 631807 635664
Changes: 
 libcap-ng (0.6.6-2) unstable; urgency=high
 .
   * Switch to dpkg-source 3.0 (quilt) format
   * Bump Standards Version to 3.9.3
   * Add patch to replace memset calls by a loop to zero array.
     This should fix a segfault on armel (and other) architectures
     (Closes: #631807, #635664)
   * RC bugs, so urgency high
Checksums-Sha1: 
 4a8a98452cf7ece559316a1100feb248e4bddc75 1986 libcap-ng_0.6.6-2.dsc
 22b7c30f96c4d1eefa63451b899a7dba717ddb0d 5784 libcap-ng_0.6.6-2.debian.tar.gz
 0ea63bd7e4e692390b72d3c62a4305147ef1d29f 26246 libcap-ng-dev_0.6.6-2_amd64.deb
 0bb6b1d16cab9346fae049834c96c64b6f6d541c 13194 libcap-ng0_0.6.6-2_amd64.deb
 e67ee29ac50d9166c34ef9eef74e29ea684556d4 21302 libcap-ng-utils_0.6.6-2_amd64.deb
 1eef459f7bb9b0fb279e98da2b88274e5a307b0f 44456 python-cap-ng_0.6.6-2_amd64.deb
Checksums-Sha256: 
 0838ab46b0e276b2e19630f45fa5ff8d7b23bcffc1eef1d93e6130ca3c1b8fc9 1986 libcap-ng_0.6.6-2.dsc
 0f5602e58d3d7ddd88e0cb762adc56854a103c9add09a942cb6859f086d479f7 5784 libcap-ng_0.6.6-2.debian.tar.gz
 0166eca1b2b2bb0ce539b36351d386cae2d757890b52dbd752daddf5a9b5a14e 26246 libcap-ng-dev_0.6.6-2_amd64.deb
 3ba2efa9d47e6e68e6b493483d6531cd1727279e183b5d7567b5219b91656684 13194 libcap-ng0_0.6.6-2_amd64.deb
 cf6adfe6d5155e4cc389f740ae4c5206a7d35639a135672837b73d1f867cc409 21302 libcap-ng-utils_0.6.6-2_amd64.deb
 f90b7e391a478aed1e5301a518506430bcd7311da698766800fc0ff1defb4d13 44456 python-cap-ng_0.6.6-2_amd64.deb
Files: 
 6488a7e644cc24a4964670e263718c7a 1986 libs optional libcap-ng_0.6.6-2.dsc
 0a00e85f716edacf3b4c3fe079df19d1 5784 libs optional libcap-ng_0.6.6-2.debian.tar.gz
 c66f5eadff7d8bbc79c36fd07d465ced 26246 libdevel optional libcap-ng-dev_0.6.6-2_amd64.deb
 34e67a55b78479874f7f2f58867f95ce 13194 libs optional libcap-ng0_0.6.6-2_amd64.deb
 3e4f1763eb380fc997e7ea4697fea57c 21302 admin optional libcap-ng-utils_0.6.6-2_amd64.deb
 449619653057d2f39d99e109978a45d0 44456 python optional python-cap-ng_0.6.6-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP3O8eAAoJEMYaZNzxOTmYLSMQAKhr4OHMjnOKC1TXVZuhiUgB
+r4574E9Nb//pxz6wGdml3R0TqiyLc0Oy4/zhGu5cY5C9S9kl/qBqj9zPuTZNVK+
21NOGzKtqadxeCeRXVHQivWTl/wthUwvx4QNl/2cYRxo+fxqOKxwOK/1zSNlF/kK
65pGAK9SyxGuHiUX4Y4BFGXxjEqGC8oSzg0MqHqoG7a2GtSz0+k/ACaWHzumtuQD
4+fXN4LOA3qWp2Ku98Ms4XP02pVE0p17auJmlHgfEG9VkqoiJKqcxSLflcMP1B7n
Octp3jIdmkbwWOyuEpQVFC/OZQsiaHymHhvATFhEeTeb5XkkPia2XkQy0dLRRN/X
4vwu9/oWJ0wY/3vjqVHGRf0s4DHGv9w8EW/ZivzGRXn85tdj12Sv+NCKUtzgaeFZ
2qhBvVq+xVncJhuN6Zcp9V7eFLucpM7eWxaJtWqyAalVUSplukQDqN2nveeufLwv
Dme9KrHe/yL3RbH/j0exPy8h4gR3g32YjU7N0Kth9aKRXbohpb3vGykcPHl8teB5
iBVDUOU9soyJFuZi6RIKQ2fcUuR/yacdVPf0ZMyW/40CSFTFwSRcX+vVXM62ZDmt
hpdAWfw/rA7IA01cJdN8trqyTOzovMwbJeeqc+xc97x3GLuvxUa76vEy8zWumAja
zs47jfi18Ec9y9Hl8QqM
=SdLt
-----END PGP SIGNATURE-----





Reply sent to Pierre Chifflier <pollux@debian.org>:
You have taken responsibility. (Sat, 16 Jun 2012 21:24:21 GMT) Full text and rfc822 format available.

Notification sent to Johannes Schauer <j.schauer@email.de>:
Bug acknowledged by developer. (Sat, 16 Jun 2012 21:24:21 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Jul 2012 07:25:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:28:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.